Bug 32642 - polkit не запускается на sysvinit
: polkit не запускается на sysvinit
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/polkit)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 32358
:
  Show dependency tree
 
Reported: 2016-10-21 13:08 by
Modified: 2016-10-24 15:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-10-21 13:08:04
Условия воспроизведения:
Сборка regular-icewm-latest-i586.iso от 19.10.2016
Проверка производилась в виртуальной машине VirtualBox 5.1.8
Установка системы в виртуальную машину.
Обновление системы:
su -
apt-get update
apt-get dist-upgrade
Установка пакетов consolekit и polkit. т.к. они отсутствует в системе
apt-get install ConsoleKit polkit
rpm -qa ConsoleKit
ConsoleKit-0.4.5-alt1.qa1
rpm -qa polkit
polkit-0.113-alt2
Перезагрузка
reboot
Проверка наличие запущенных процессов после перезагрузки
Для udev:
ps -eo s,args|grep udev|grep -v grep
S /lib/systemd/systemd-udevd --daemon
Для dbus:
ps -eo s,args|grep dbus|grep -v grep
S /bin/dbus-daemon --system
S /bin/dbus-launch --sh-syntax --exit-with-session
S /bin/dbus-daemon --fork --print-pid 5 --print-address 9 --session
Для ConsoleKit:
ps -eo s,args|grep console-kit|grep -v grep
S /usr/sbin/console-kit-daemon --no-daemon
Для polkit:
ps -eo s,args|grep polkit|grep -v grep
Выхлопа нет.
Попытка ручного запуска:
/usr/libexec/polkit-1/polkitd
Successfully changed to user polkitd 
Error getting system bus: Could not connect: No such file or directoryError
getting login monitor: -2 
** (polkitd:2455): WARNING **: Error getting system bus: Could not connect: No
such file or directory 
14:34:44.697: Loading rules from directory /etc/polkit-1/rules.d 
14:34:44.697: Loading rules from directory /usr/share/polkit-1/rules.d 
14:34:44.700: Finished loading, compiling and executing 1 rules 
Entering main event loop 
14:34:44.703: Lost the name org.freedesktop.PolicyKit1 - exiting 
Shutting down 
Exiting with code 0 

Комментарий по проблеме и ручное решение от Михаила Ефремова здесь
https://bugzilla.altlinux.org/show_bug.cgi?id=32364#c2
Корректировка /etc/fstab
echo '/run    /var/run                bind    defaults,bind 0 0' >> /etc/fstab
Перезагрузка
reboot
Проверка наличие запущенного процесса polkit после перезагрузки
ps -eo s,args|grep polkit|grep -v grep
S /usr/libexec/polkit-1/polkitd  --no-debug

Также проблема воспроизводится при переводе установленной сборки
regular-xfce-latest-i586.iso от 19.10.2016 на sysvinit.
Решается аналогично.

Данная проблема уже заявлена пользователем Speccyfighter в
https://bugzilla.altlinux.org/show_bug.cgi?id=32364
Несмотря на то, что 32364 CLOSED WONTFIX, прошу не закрывать новый баг как
дубликат закрытого. Проблема еще воспроизводится. Если она решится пересборкой
пакетов в Сизифе, тогда без спору CLOSED WONTFIX.
------- Comment #1 From 2016-10-22 18:19:08 -------
Проверьте glib2 из задания №171245.
------- Comment #2 From 2016-10-23 15:14:47 -------
Проверка
Сборка regular-icewm-latest-i586.iso от 19.10.2016
Чистая установка с нуля в ВМ
apt-repo add task 171245
apt-get update
apt-get dist-upgrade
reboot
Проверка после перезагрузки:
ps -eo s,args|grep polkit|grep -v grep
S /usr/libexec/polkit-1/polkitd  --no-debug
Есть автоматический запуск polkit.
------- Comment #3 From 2016-10-23 15:42:15 -------
glib2-2.50.1-alt2 -> sisyphus:

* Sat Oct 22 2016 Yuri N. Sedunov <aris@altlinux> 2.50.1-alt2
- gio/gdbusaddress.c: s|var/run/dbus|/run/dbus| (ALT #32444, #32642)
------- Comment #4 From 2016-10-23 16:29:13 -------
Поднятый polkit с glibc2 из task #171245 подтверждается.
Всем огромное спасибо!
------- Comment #5 From 2016-10-24 11:53:56 -------
Подтверждаю работу пакета polkit после обновления glib2 в Сизифе.
Спасибо.